#include <iostream>

using namespace std;

int main()
{
    int k, n, x;
    cin >> n >> k >> x;
    int i = 0;
    for(int j = 0; j < n; ++j){
        cout << j + 1 << " ";
    }
    cout << endl;
    return 0;
}